SQLite3::createFunction
SQLite3::exec
SQLite3
PHP Manual

# SQLite3::escapeString

(PHP 5 >= 5.3.0)

SQLite3::escapeString — Returns a string that has been properly escaped

### Opis

public string SQLite3::escapeString ( string `$value` )

Returns a string that has been properly escaped for safe inclusion in an SQL statement.

### Parametry

`value`

  The string to be escaped.

### Zwracane wartości

Returns a properly escaped string that may be used safely in an SQL statement.

### Notatki

Ostrzeżenie

addslashes() should NOT be used to quote your strings for SQLite queries; it will lead to strange results when retrieving your data.

SQLite3::createFunction
SQLite3::exec
SQLite3
PHP Manual